Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.helpers
Class Helper

    java.lang.Object
      vut.msa.helpers.Helper

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BackupDiskHelper, BackupHelper, ClientHelper, ClientInfoHelper, UsersHelper

    public abstract class Helper

extends java.lang.Object
implements java.io.Serializable

Abstraktna trieda Helper, ktoru dedia triedy typu Helper. Tato trieda je zodpovedna za vytvorenie spojenia s databazou, zacatia a ukoncenia transakcie.

See Also:
  Serialized Form

Field Summary
`protected org.hibernate.SessionFactory` | `factory`
`protected static org.apache.log4j.Logger` | `log`
`protected org.hibernate.Session` | `session`

Constructor Summary
`Helper()`

Method Summary
`void` | `endTransaction(org.hibernate.Transaction transaction, boolean commit)` Metoda ukonci transakciu v aktualnej relacii Hibernate.
`void` | `openSession()` Metoda zacne transakciu v aktualnej relacii Hibernate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final transient org.apache.log4j.Logger log

### session

    protected org.hibernate.Session session

### factory

    protected org.hibernate.SessionFactory factory

Constructor Detail

### Helper

    public Helper()

Method Detail

### openSession

    public void openSession()

  Metoda zacne transakciu v aktualnej relacii Hibernate.

### endTransaction

    public void endTransaction(org.hibernate.Transaction transaction,
                               boolean commit)

  Metoda ukonci transakciu v aktualnej relacii Hibernate.

  Parameters:
    `transaction` - transakcia, ktora ma byt ukoncena
    `commit` - true, ak je treba vykonat potvrdenie (commit); false, ak netreba.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD